Bug 216197 - graphics/cuneiform: fails to build with clang 4.0
Summary: graphics/cuneiform: fails to build with clang 4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords: needs-patch
Depends on:
Blocks: 216008
  Show dependency treegraph
 
Reported: 2017-01-17 22:58 UTC by Jan Beich
Modified: 2018-07-24 20:15 UTC (History)
2 users (show)

See Also:
samm: maintainer-feedback-


Attachments
patch-ced__func__rtf.cpp (864 bytes, patch)
2017-03-09 04:28 UTC, Walter Schwarzenfeld
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-01-17 22:58:00 UTC
cuneiform_src/Kern/ced/sources/main/ced_func_rtf.cpp:215:12: error: ordered comparison between pointer and zero ('CEDSection *' and 'int')
        for (;sect>0;sect=sect->next)
              ~~~~^~
cuneiform_src/Kern/ced/sources/main/ced_func_rtf.cpp:900:17: error: ordered comparison between pointer and zero ('CEDChar *' and 'int')
    if (prevChar>0) {
        ~~~~~~~~^~

build log: http://sprunge.us/fWJY
regressed by: https://github.com/llvm-mirror/clang/commit/4b6ad14285f3
Comment 1 Walter Schwarzenfeld freebsd_triage 2017-03-09 04:28:19 UTC
Created attachment 180662 [details]
patch-ced__func__rtf.cpp
Comment 2 Walter Schwarzenfeld freebsd_triage 2017-05-26 20:03:05 UTC
Comment on attachment 180662 [details]
patch-ced__func__rtf.cpp

Obsolete patch. Patch is included in Bug 219579 (does not compile with
new ImageMagick version).
Comment 3 Walter Schwarzenfeld freebsd_triage 2017-05-26 20:04:19 UTC
Comment on attachment 180662 [details]
patch-ced__func__rtf.cpp

Obsolete patch. Patch is included in Bug 219579 (does not compile with
new ImageMagick version).
Comment 4 Walter Schwarzenfeld freebsd_triage 2017-12-28 14:03:15 UTC
In the meantime patch in Bug #219579 does not work (I obsoleted it).
Comment 5 Oleksii Samorukov freebsd_committer 2018-01-11 20:26:21 UTC
I am not a maintainer of this port anymore
Comment 6 Walter Schwarzenfeld freebsd_triage 2018-01-11 23:58:30 UTC
I think this port can marked as deprecated.  Code must be rewritten.  Tons of parenthesis and pointer
conversation errors. You need nearly a patch for each "*.c" file und no changes  upstream  since 2011.
Comment 7 commit-hook freebsd_committer 2018-03-11 21:35:36 UTC
A commit references this bug:

Author: adridg
Date: Sun Mar 11 21:35:12 UTC 2018
New revision: 464212
URL: https://svnweb.freebsd.org/changeset/ports/464212

Log:
  Fix build with base Clang on 11.1 -- this probably does not cover all of the
  problems listed in the PR, but it's a step. The port remains unmaintained,
  upstream hasn't been maintained in ~8 years, should probably be deprecated instead.

  PR:		216197
  Approved by:	tcberner (mentor, implicit)

Changes:
  head/graphics/cuneiform/files/patch-cuneiform__src_Kern_ced_sources_main_ced__func__rtf.cpp
Comment 8 Tobias Kortkamp freebsd_committer 2018-07-24 20:15:20 UTC
Fixed. For now...
Comment 9 commit-hook freebsd_committer 2018-07-24 20:15:21 UTC
A commit references this bug:

Author: tobik
Date: Tue Jul 24 20:14:36 UTC 2018
New revision: 475272
URL: https://svnweb.freebsd.org/changeset/ports/475272

Log:
  graphics/cuneiform: Slap on a band-aid and fix build with Clang 6

  - Code base compiles under USE_CXXSTD=gnu++98
  - Use options helpers
  - Fix no-op IMAGEMAGICK option; the patch to disable it no longer
    did anything.  With ImageMagick installed in the build environment
    ImageMagick support was enabled regardless of option state
  - Deprecate.  It's unmaintained upstream and the build problems will
    likely get worse over time
  - Take maintainership

  http://beefy11.nyi.freebsd.org/data/head-i386-default/p475217_s336659/logs/cuneiform-1.1.0_4.log

  PR:	216197

Changes:
  head/graphics/cuneiform/Makefile